[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.FieldValues

Acces to field values based on the field names.

## Declaration

Source position: db.pas line 1353

`public property TDataSet.FieldValues: Variant read GetFieldValues write SetFieldValues; default;`

## Description

FieldValues provides array-like access to the values of the fields, based on the names of the fields. The value is read or written as a variant type. It is equivalent to the following:

    FieldByName(FieldName).AsVariant

It can be read as well as written.

## See also

FieldByname

The latest version of this document can be found at lazarus-ccr.sourceforge.net .